Subject: Re: [MBONED] WGLC draft-ietf-mboned-auto-multicast-13

From: Greg Bumgardner <[email-masked]>
Date: Wed, 6 Jun 2012 12:39:42 -0700

Tom,

Thanks for the input. I'm always surprised at how many grammatical/typographic/cut&paste errors make it through each pass.

Additional comments below.

-g.b.

On May 30, 2012, at 8:15 PM, Tom Taylor wrote:

> I have reviewed the document and found it good to go. One substantive query: the last paragraph of section 5.3.3.2 says:
> 
>  "If the Relay Discovery message was
>   received as an IPv6 datagram, the relay may return an IPv4 or IPv6
>   address in the Relay Address field."
> 
> This seems to impose a requirement that any Gateway supporting IPv6 transport MUST also support IPv4. Is that the intention?
> 
> Nits:
> 
> 4.2.2.1 second para, first sentence: s/change/changes/ to agree with "address".
> 
> 5.1.5 typos:
> 
> - second para, first line: s/a receives/it receives/
> 
> - third para end of third line: s/Message/Membership/ (Update message)
> 
> 5.2.1 third para, third-last line: s/primary/primarily/
> 
> 5.2.2.1 and 5.2.2.2: Don't these appear in reverse order of usage? I'd suggest taking the word "Static" out of the sub-section titles and reversing their order.
> 
> 5.2.3.6.1 final paragraph seems out of place -- it refers to "the datagram", where that is not present in the immediately preceding text. I suggest moving the final paragraph up to precede the paragraph beginning: "A gateway that waits to start ...".

I reworded the last couple of paragraphs to indicate that messages are (conceptually) stored/queued/delivered as IP datagrams. I also changed the last paragraph:

"
   A gateway that waits to start a membership update cycle until after
   it receives a datagram containing an IGMP/MLD state-change message
   MAY:

   o  Discard IGMP or MLD datagrams until it receives a Membership Query
      message, at which time it processes the Membership Query message
      as normal to eventually produce a current-state report on the
      pseudo-interface which describes the end state (RECOMMENDED).

   o  Insert IGMP or MLD datagrams into a queue for transmission after
      it receives a Membership Query message.

   If and when a gateway receives a Membership Query message (for IGMP
   or MLD) it sends any queued or incoming IGMP or MLD datagrams to the
   relay as described in the next section.
"

> 
> 5.3.1 fourth para, first line: s/,Section/in Section/
> 
> 5.3.2: Should the second paragraph specify that the assigned addresses are globally reachable?

I intentionally avoiding including any requirements regarding reachability to allow for the possibility of intranet (vs internet) AMT deployment.

> 
> 5.3.3.3:
> - eighth para (third down on p. 64), tenth line: missing text. That line and the one following currently read:
> 
> "This exception is made because any address that a relay might may not
>                                                            ^^^^^
> be a valid source address on any gateway interface.  The rationale ..."
> 
> - second-last para, last sentence (top of p. 65):
>        s/a membership/membership/
> 
> 5.3.3.4, third-last para: missing "of" between "form" and "group".
> 
> 5.3.3.6 first para, last line: s/follow/following/
> 
> 5.3.3.8 last para, second line: s/reach/reached/
> 
> 7.1.1 second para: missing space
> 
> I didn't check the Appendix.
> 
> Tom Taylor
> _______________________________________________
> MBONED mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mboned